#!/usr/bin/env python
# -*- coding: UTF-8 -*-




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.1.0'
__CHEETAH_versionTuple__ = (3, 1, 0, 'final', 1)
__CHEETAH_genTime__ = 1608195450.456065
__CHEETAH_genTimestamp__ = 'Thu Dec 17 09:57:30 2020'
__CHEETAH_src__ = 'Site.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Nov 30 17:24:38 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class Site(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(Site, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 3, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''No title ''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def body(self, **KWS):



        ## CHEETAH: generated from #def body at line 6, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''<p><em>No</em> content.</p>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  TODO: a sitemap? But there is no standard. See http://navibar.oaklett.org/specs/nns-10/ and http://www.google.com/schemas/sitemap/
        write('''<?xml version="1.0" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
''')
        #  Probablement les pages d'index
        if not(VFFSL(SL,"varExists",False)('lang')): # generated from line 11, col 1
            lang = 'fr'
        write('''<html xml:lang="''')
        _v = VFFSL(SL,"lang",True) # '$lang' on line 14, col 17
        if _v is not None: write(_filter(_v, rawExpr='$lang')) # from line 14, col 17.
        write('''" lang="''')
        _v = VFFSL(SL,"lang",True) # '$lang' on line 14, col 30
        if _v is not None: write(_filter(_v, rawExpr='$lang')) # from line 14, col 30.
        write('''" xmlns="http://www.w3.org/1999/xhtml">
<head>
<!-- Generated on ''')
        _v = VFFSL(SL,"BLOG_HOSTNAME",True) # '$BLOG_HOSTNAME' on line 16, col 19
        if _v is not None: write(_filter(_v, rawExpr='$BLOG_HOSTNAME')) # from line 16, col 19.
        write(''' on ''')
        _v = VFFSL(SL,"BLOG_GENERATION_TIME",True) # '$BLOG_GENERATION_TIME' on line 16, col 37
        if _v is not None: write(_filter(_v, rawExpr='$BLOG_GENERATION_TIME')) # from line 16, col 37.
        write(''' -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
''')
        if VFFSL(SL,"varExists",False)('index_page'): # generated from line 18, col 1
            write('''<meta name="robots" content="noindex,follow"/>
''')
            #  TODO: add a canonical but ONLY on index.html:
            #  http://googlewebmastercentral.blogspot.com/2009/02/specify-your-canonical.html
        #  TODO: CSS for XML? Two problems:
        #   1) http://xmlfr.org/listes/xml-tech/2005/12/0071.html 
        #   2) Need a tutorial on good CSS for XML: early results are a bit disconcerting.
        #      See rfc.css for a good starting point
        # 
        write('''<!-- Necessary for mobile (small screen, high resolution) -->
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
<link rel="stylesheet" type="text/css" href="screen.css" media="screen"/>
<link rel="stylesheet" type="text/css" href="print.css" media="print"/>
<link rel="openid2.provider" href="https://openid.stackexchange.com/openid/provider"/>
<link rel="openid2.local_id" href="https://openid.stackexchange.com/user/ce28a43a-5060-423a-8574-25e24a8f096e"/>
<!-- TODO: add META tags from the text of the entry, for instance keywords ? -->
<link rel="alternate" type="application/atom+xml" title="Atom syndication feed - summaries" href="feed.atom" />
<link rel="alternate" type="application/atom+xml" title="Atom syndication feed - full content" href="feed-full.atom" />
<link rel="search"
           type="application/opensearchdescription+xml" 
           href="/others/add-search-engine.xml"
           title="Blog Bortzmeyer" />
<link rel="author" href="/static/moi.html"/>
<link rel="privacy-policy" href="/privacy-policy.html"/>
<title>
Blog Stéphane Bortzmeyer: ''')
        _v = VFFSL(SL,"title",True) # '$title' on line 44, col 27
        if _v is not None: write(_filter(_v, rawExpr='$title')) # from line 44, col 27.
        write('''
</title>
</head>

<body>

<div id="page-container">
<div id="masthead">
<div class="inside">
\t\t\t<h1><a href="index.html">Mon blog</a></h1>
\t\t\t<hr class="hide" />
</div>
</div>
<div id="outer-column-container">
<div id="inner-column-container">
<div id="source-order-container">
<div id="left-column">
<div id="leftmenu" class="inside">
<p><a href="https://charliehebdo.fr/"><img alt="Je suis Charlie" src="/images/je-suis-charlie.jpg"/></a></p>
<h3>Autres trucs</h3>
<p><a href="index.html">Accueil</a></p>
<p><a href="rfcs.html">Seulement les RFC</a></p>
<p><a href="ficheslecture.html">Seulement les fiches de lecture</a></p>
<p>Mon livre <a href="https://cyberstructure.fr/">«\xa0Cyberstructure\xa0»</a></p>
<p><a href="http://www.demaziere.fr/eve/">Ève</a></p>
<form action="/search"><p><label for="pattern">Recherche dans ce blog\xa0: </label><input type="text" name="pattern" id="pattern"/>
</p>
</form>
</div>
</div> <!-- End of left-column -->
<div id="middle-column">
<div class="inside">
''')
        _v = VFFSL(SL,"body",True) # '$body' on line 76, col 1
        if _v is not None: write(_filter(_v, rawExpr='$body')) # from line 76, col 1.
        write('''
''')
        if VFFSL(SL,"varExists",False)('BLOG_PDF_VERSION'): # generated from line 77, col 1
            write('''<p id="get-pdf" class="verysmall"><a href="''')
            _v = VFFSL(SL,"BLOG_PDF_VERSION",True) # '$BLOG_PDF_VERSION' on line 78, col 44
            if _v is not None: write(_filter(_v, rawExpr='$BLOG_PDF_VERSION')) # from line 78, col 44.
            write('''" rel="noindex,nofollow">Version PDF de cette page</a> (mais vous pouvez aussi imprimer depuis votre navigateur, il y a une feuille de style prévue pour cela)</p>
''')
        if VFFSL(SL,"varExists",False)('BLOG_XML_SOURCE'): # generated from line 80, col 1
            #  http://blog.searchenginewatch.com/blog/050118-204728
            write('''<p id="get-source" class="verysmall"><a href="''')
            _v = VFFSL(SL,"BLOG_XML_SOURCE",True) # '$BLOG_XML_SOURCE' on line 82, col 47
            if _v is not None: write(_filter(_v, rawExpr='$BLOG_XML_SOURCE')) # from line 82, col 47.
            write('''" rel="nofollow">Source XML de cette page</a> (cette 
page est distribuée sous les termes de la licence <a href="http://www.gnu.org/copyleft/fdl.html">GFDL</a>)</p>
''')
        write('''</div>
</div><!-- End of middle-column -->
</div><!-- End of source-order-container -->
</div><!-- End of inner-column-container -->
</div><!-- End of outer-column-container -->
<div class="clear-columns"><!-- do not delete --></div>
<div id="footer">
<div class="inside">
<hr class="hide" />
''')
        if VFFSL(SL,"lang",True) == "fr": # generated from line 94, col 1
            write('''<p>Si vous aimez, vous pouvez payer avec <a href="/bitcoin-blog.html">Bitcoin</a>\xa0: adresse <code>1HtNJ6ZFUc9yu9u2qAwB4tGdGwPQasQGax</code> (ou voyez le <a href="/images/bitcoin-qrcode.png">code QR</a>). Pour toute remarque sur ce blog, s\'adresser par courrier à
Stéphane Bortzmeyer <code>&lt;stephane+blog@bortzmeyer.org&gt;</code> ou sur le <a href="https://fr.wikipedia.org/wiki/Fediverse">fédivers</a> à <a rel="me" href="https://mastodon.gougere.fr/@bortzmeyer"><code>bortzmeyer@mastodon.gougere.fr</code></a>. Je suis <a href="http://sl4.org/crocker.html">les règles de Crocker</a> donc pas besoin de faire des excès de diplomatie. Ce blog est strictement personnel et les opinions exprimées ici n\'engagent donc que moi, et notamment pas mon employeur présent ou mes employeurs passés ou mes éventuels employeurs futurs.</p>
''')
        else: # generated from line 97, col 1
            write('''<p>Remarks about this blog should be sent to 
Stéphane Bortzmeyer <code>&lt;stephane+blog@bortzmeyer.org&gt;</code>. I operate by <a href="http://sl4.org/crocker.html">Crocker\'s Rules</a> so do not hesitate to speak plainly and frankly.</p>
<p>This blog is strictly personal: I do not speak for my employers, either past or present.</p>
''')
        write('''</div>
</div><!-- End of footer -->
</div><!-- End of page-container -->
</body>
</html>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_Site = 'respond'

## END CLASS DEFINITION

if not hasattr(Site, '_initCheetahAttributes'):
    templateAPIClass = getattr(Site,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(Site)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=Site()).run()


